> For the complete documentation index, see [llms.txt](https://useepay.gitbook.io/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://useepay.gitbook.io/developer/reference/local-pay-ben-di-hua/ben-di-hua-jie-kou/cashticket-xian-jin-zhi-fu/cash-common.md).

# Cash Common

## Redirect

## 通用

<mark style="color:green;">`POST`</mark> `USEEPAY_PATH/cashier`

#### Headers

| Name                                           | Type   | Description                       |
| ---------------------------------------------- | ------ | --------------------------------- |
| content-type<mark style="color:red;">\*</mark> | String | application/x-www-form-urlencoded |

#### Request Body

| Name                                              | Type         | Description                                                                                                                 |
| ------------------------------------------------- | ------------ | --------------------------------------------------------------------------------------------------------------------------- |
| transactionType<mark style="color:red;">\*</mark> | String       | <p></p><p></p><p>交易类型 : <strong>pay</strong> </p>                                                                           |
| version<mark style="color:red;">\*</mark>         | String(5)    | 目前固定为 1.0                                                                                                                   |
| signType<mark style="color:red;">\*</mark>        | String       | 商户生成签名字符串所使用的签名算法类型，目前支持：RSA/MD5                                                                                            |
| merchantNo<mark style="color:red;">\*</mark>      | String(16)   | 商户号                                                                                                                         |
| transactionId<mark style="color:red;">\*</mark>   | String(64)   | 商户订单号                                                                                                                       |
| transactionExpirationTime                         | String(6)    | 过期时间 (分钟)                                                                                                                   |
| appId<mark style="color:red;">\*</mark>           | String (128) | 网站域名                                                                                                                        |
| amount<mark style="color:red;">\*</mark>          | String(12)   | 支付金额，单位为对应币种的最小货币单位[(详见 ISO 4217)](/developer/gui-fan-xing-shuo-ming/huo-bi-dan-wei.md)                                     |
| currency<mark style="color:red;">\*</mark>        | String(3)    | 3 位 ISO 大写字母货币代码[(详见 ISO 4217)](/developer/gui-fan-xing-shuo-ming/huo-bi-dan-wei.md) 目前仅支持**EUR**                           |
| notifyUrl<mark style="color:red;">\*</mark>       | String(512)  | [异步通知](/developer/reference/notify/notifyurl.md)                                                                            |
| echoParam                                         | String(256)  | 回声参数，响应报文会原样返回                                                                                                              |
| payerInfo<mark style="color:red;">\*</mark>       | String       | Json格式的String 付款方信息                                                                                                         |
| userInfo<mark style="color:red;">\*</mark>        | String       | json string, 消费者信息, 请参考[消费者信息](https://useepay.gitbook.io/developer/reference/api-reference/parameter-description#userinfo) |
| redirectUrl                                       | String(512)  | 跳转商户地址                                                                                                                      |
| autoRedirect                                      | String       | false: 不跳转 默认true                                                                                                           |
| country<mark style="color:red;">\*</mark>         | String       | 国家二字码                                                                                                                       |

## Params

### PayerInfo Object

| 参数            | 必选 | 类型     | 说明          |
| ------------- | -- | ------ | ----------- |
| paymentMethod | Y  | String | 具体的看指定的支付方式 |
| name          | Y  | String | 姓名          |
| email         | Y  | String | 邮箱          |
| document      | Y  | String | 个人身份证       |

```
{
  "paymentMethod": "oxxo",
  "name": "Pedro Gomes",
  "email": "pedrogomes@dlocal.com",
  "document": "42243309114"
}
```

### UserInfo Object

| 参数      | 必选 | 类型     | 说明                |
| ------- | -- | ------ | ----------------- |
| userId  | N  | string | max=128 用户id      |
| **ip**  | Y  | string | max=128 IPv4或IPv6 |
| email   | N  | string | max=128用户邮箱       |
| phoneNo | N  | string | max=32 用户手机号      |

```
{
  "ip": "103.25.65.178"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://useepay.gitbook.io/developer/reference/local-pay-ben-di-hua/ben-di-hua-jie-kou/cashticket-xian-jin-zhi-fu/cash-common.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
